import { jsx } from "react/jsx-runtime";
import { Cheese as Cheese$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Cheese = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Cheese", ...props, children: /* @__PURE__ */ jsx(Cheese$1, { weight: variant }) });
  }
);
Cheese.displayName = "Cheese";
Object.assign(Cheese, { isGdsIcon: true });
export {
  Cheese
};
